﻿# You can place the script of your game in this file.

init:
    
    # Position the navigation on the right side of the screen.
    $ style.gallery_nav_frame.xpos = 800 - 10
    $ style.gallery_nav_frame.xanchor = 1.0
    $ style.gallery_nav_frame.ypos = 12

    # Add the gallery to the main menu.
    $ config.main_menu.insert(2, ('Gallery', "gallery", "True"))
        
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg intro1 = "intro1.png"
    image bg intro2 = "intro2.png"
    image bg intro4 = "intro4.png"
    image bg intro5 = "intro5.png"
    image bg introback = "introback.png"
    image bg intro6 = "intro6.png"
    image bg intro7 = "intro7.png"
    image bg intro8 = "intro8.png"
    image intro 3pic = "intro3.png"
    
    image bg dorm = "dorm.png"
    image bg dormnight = "dorm_night.png"
    image bg dormhall = "dormhall.png"
    image bg dormhallnight = "dormhall_night.png"
    image bg hallway = "hallway1.png"
    image bg hallway2 = "hallway.png"
    image bg dining = "dining.png"
    image bg prealtar = "prealtar.png"
    image bg altar = "temp3.png"
    image bg theronR = "theronr.png"
    image bg white = "white.png"
    image bg black = "black.png"
    image bg park = "temp1.png"
    image bg library = "temp2.png"
    image bg cg = "failcgmotiv.png"
    image bg credits = "credits.png"
    
    image rochelle normal = "rochelle_n.png"
    image rochelle happy = "rochelle_h.png"
    
    image carmine normal = "carmine_n.png"
    image carmine sad = "carmine_s.png"
    image carmine happy = "carmine_h.png"
    image carmine embarrass = "carmine_e.png"
    
    image marcel normal = "marcel_n.png"
    image marcel sad = "marcel_s.png"
    image marcel happy = "marcel_h.png"
    image marcel troubled = "marcel_t.png"
    
    image thanos hat_n = "thanoshat_n.png"
    image thanos hat_h = "thanoshat_h.png"
    image thanos nohat_n = "thanosnohat_n.png"
    image thanos nohat_h = "thanosnohat_h.png"
    
    image theron normal = "theron_n.png"
    image theron sad = "theron_s.png"
    image theron happy = "theron_h.png"
    image theron annoyed = "theron_a.png"
    
    image fionn normal ="fionn_n.png"
    image fionn happy = "fionn_h.png"
    image fionn annoyed = "fionn_a.png"
    image fionn embarrass = "fionn_e.png"
    
    image anastasia normal = "anastasia_n.png"
    image anastasia sad = "anastasia_s.png"
    
    image calixte normal = "calixte_n.png"
    image calixte sad = "calixte_s.png"
    
    image f_guardian = "guardian1_n.png" 
    image m_guardian = "guardian2_n.png"
    
    # Declare characters used by this game.
    
    define shortdissolve = Dissolve(0.2)
    define dissolve = Dissolve(0.5)
    define longdissolve = Dissolve(0.8)
    
    $ slow = Character(what_slow_cps=28)
    $ light = Fade(0.6, 0.2, 0.6, color='#fff')
    $ darkness = Fade(0.8, 1, 0.8, color='#000000')
    $ fire = Fade (0.1, 0.05, 0.2, color='#FB5944')
    $ poison = Fade (0.1, 0.05, 0.2, color='#86EE3A')
    $ name = ""
    $ rochelle_relation = 0
    $ carmine_relation = 0
    $ fionn_relation = 0
    $ marcel_relation = 0
    $ thanos_relation = 0
    $ theron_relation = 0
    
    $ escape = 0
    $ confront = 0
    
    $ p = DynamicCharacter("name", color="ECDCAA")
    $ c = DynamicCharacter("carmineN", color="B7D9FF")
    $ m = DynamicCharacter("marcelN", color="A19AF7")
    $ u = DynamicCharacter("thanosN", color="ED6669")
    $ f = DynamicCharacter("fionnN", color="ED7EC2")
    $ t = DynamicCharacter("theronN", color="DED9E5")
    $ v = DynamicCharacter("anastasiaN")
    $ a = DynamicCharacter("calixteN")
    
    define r = Character('Rochelle', color="8CDD9C")
    define g1 = Character('Guardian One')
    define g2 = Character('Guardian Two')
    
    $ meetingmarcel = False

# The game starts here.
label start:
    
    play music "intro.ogg" fadeout 1
    scene bg intro1
    with fade

    slow "The land of Evidia was once filled with enchantment and magical creatures whose lives spanned over hundreds, even thousands of years. {w}Death for them was not a concern..."
    
    scene bg intro2
    with light

    slow "Humans were only a small minority in a world filled with hope and ideals, but this began to change..."
    
    scene bg introback
    show intro 3pic:
        xalign 0.0 yalign 1.0
        pause 2.5
        linear 12.0 xalign 1.0
    with light
    
    slow "As their numbers grew and their society became more complex, the fear of death increased also. {w}{i}What was beyond the material world? Black Oblivion?{/i} {w}Without something to believe in, the souls of the deceased clung onto the realm of the living, disrupting the balance of the mystical energies breathing life into their land."
    
    scene bg intro4
    with light
    
    slow "This brought with it chaos and anarchy. {w}Beginning at the edges of the land, famine and unrestrained violence caused even more to perish. It was only a matter of time before misfortune spread to the inner most regions of Evidia... "
    
    scene bg intro5
    with light
    
    slow "Something had to be done. {w}A quiet hope remained. {w}An old myth told of an altar at the very core of  Evidia, the \"Bridge to the Sky\", containing the soul of a sealed Goddess..."
    
    scene bg intro6
    with light
    
    slow "The powerful spirit once governed over all of life, acting as a protector of all living things from suffering. Yet this could not last and she was finally imprisoned by darkness, where the realm of mortals and the upper kingdom met."
    
    scene bg intro7
    with light
    
    slow "The magic of the Goddess was too powerful to be sealed away completely, however, and what was left of  it fell from the sky and fused with the bodies of a few females across the stretch of time. {w}Using the soul of just one of them as a sacrifice would bring her back..."
    
    scene bg intro8
    with light
    
    slow "With this one belief, an association was established to protect the Bridge to the Sky from harm, while forever searching for an individual with a piece of the divine power, {i}an Aurora Spirit{/i}. Eventually, an academy was also set up to better prepare those who were capable for a future as a guardian of the Bridge to the Sky, all with the hopes of one day being able to release the Goddess and restore the once perfect nature of their home..."
    
    scene bg white
    with longdissolve
    
    slow "Or so the legend told..."
    
    play music "bgm.ogg" fadeout 2
    scene bg dorm
    with longdissolve
    
    $ carmineN = "Male Student"
    $ marcelN = "Boy Dragon"
    $ thanosN = "Man"
    $ fionnN = "Male Student"
    $ theronN = "Male Student"
    $ anastasiaN = "Female Student"
    $ calixteN = "Girl"
            
    $ name = renpy.input("Enter a name:") or "Mary-Sue"
    
    "\"%(name)s\""
    
    "{i}That should be everything I need to return.{/i}"
    
    show rochelle normal
    with dissolve
    
    p "I think that's it. You ready to go?"    
    r "Yes. I have all my equipment already."
    "{i}It's a silly question I suppose. She's been waiting for some time already.{/i}"
    
    hide rochelle
    with dissolve
    scene bg dormhall
    with dissolve
    
    "{i}Rochelle steps out ahead of  me, and we begin walking down the hallway. I wonder what I should say. This is slightly awkward.{/i}"
    
    show rochelle normal
    with dissolve
    
    r "Are you sure you have everything? We were issued five textbooks, weren't we? You only have four?"
    "{i}I  glance at Rochelle and then quickly through my books. It looks like she's right.{/i}"
    "{i}Good thing she noticed. I missed it earlier and probably wouldn't have.{/i}"
    p "Ah, you're right! I guess you'll have to wait again. Sorry, I'll go back and get  it."
    
    scene bg dorm
    with dissolve
    
    "{i}I should hurry up, I'm making Rochelle wait again.{/i}"
    "{i}The book is right on my desk. That was stupid of me, how could I not have seen it earlier?{/i}"
    "{i}Huh? What's that?{/i}"
    "{i}I see a glow from the corner of my eye.{/i}"
    
    scene bg cg
    with dissolve
    
    "{i}What\'s this glass orb doing in my room? It\'s surely not something either Rochelle or I own but this sphere is strangely enchanting.{/i}"
    "{i}I wonder if I should do something about it? It doesn't seem like an everday object.{/i}"
    r "Are you nearly done?"
    
    scene bg dorm
    with dissolve
    
    "{i}That\'s Rochelle's voice. She must've come back for me. I guess I better leave the sphere and think about it later.{/i}"
    "{i}It's not like it's going to disappear, probably.{/i}" 
    
    scene bg dormhall
    show rochelle normal
    with dissolve
    
    p "Thanks for waiting. Hopefully we can go now and there's nothing else I've forgotten."
    r "That\'s all right, we agreed to go together."
    "{i}I'm glad I have her to help me out with a lot of things.{/i}" 
    
    scene bg hallway
    with dissolve
    
    slow ". . ."
    
    show rochelle normal
    with dissolve
    
    p "It\'s such a pity that we can\'t go home this holiday."
    r "Hm? Yeah I guess so. To be honest I don't know if  there'd be anything interesting to do."
    p "Well, what about seeing your family then? There\'s that too."
    "{i}I'd really like to see my family again. I wonder how they're doing? Rochelle hasn't really told me much about hers.{/i}"
    r "I suppose you\'re right about that, but then again we don\'t have much choice."
    "{i}She's right though. We can't do much for them while still being students and I doubt the situation would have improved at all.{/i}"
    "{i}At least my parents are still together though, unlike a lot of people, and they have each other.{/i}"
    
    hide rochelle
    with dissolve
    
    "{i}Our conversation continues  until we reach the  gear return office, and then we arrive back at our rooms.{/i}"
    
    scene bg dormhallnight
    show rochelle normal
    with dissolve
    
    r "Since we\'re both staying over the holidays, I\'ll report both our names."
    "{i}That's right, I almost forgot we had to register ourselves as staying for the holidays.{/i}" 
    "{i}It's getting a bit late though, maybe I should go with her to make sure things are okay?{/i}" 
    
    menu:
    
        "Offer to Go With Her":
            jump gowith
        
        "Thank Her and Stay":
            jump stay

label gowith:
    
    p "It's already quite dark. Should I come with you?"
    
    $ rochelle_relation += 1 
    
    r "No, it\'s better if  just one of us goes. You can stay and make use of the time."
    
    hide rochelle
    with dissolve
    
    "{i}Maybe she finds me annoying? Hope not but I guess it's not really dangerous inside, anyway.{/i}"
    
    scene bg dormnight
    with dissolve
    
    "{i}That\'s right, I was going to investigate that glowing sphere I found earlier.{/i}"
    slow ". . ."
    "{i}It doesn\'t appear to be here anymore, I wonder where it went and what happened to it? Hmm...{/i}"
    "{i}That sure is strange I wonder what it was. Maybe who ever put it there took it away? It probably had magical properties.{/i}"
    "{i}I should probably wait for Rochelle to  get back before I go to sleep so I can say good night to her properly.{/i}"
    
    jump daytwo
    
label stay:

    "{i}Well, it's not exactly dangerous inside so it should be okay if I don't.{/i}"
    p "All right then, thanks."
     
    hide rochelle
    with dissolve
    
    scene bg dormnight
    with dissolve

    "{i}That\'s right, I was going to investigate that glowing sphere.{/i}"
    slow ". . ."
    "{i}It doesn\'t appear to be here anymore, I wonder where it went and what happened to it? Hmm...{/i}"
    "{i}That sure is strange I wonder what it was. Maybe who ever put it there took it away? It probably had magical properties.{/i}"
    "{i}I guess I'll go to sleep now. I hope there's nothing else I've forgotten about.{/i}"
    
    jump daytwo
        
label daytwo:
    
    scene bg dorm
    with darkness  
    "{i}*Yawn* It\'s morning, wonder what the time is?{/i}"
    "{i}Oh gosh, it's almost eight! I slept  in... and it seems like Rochelle already left without me...{/i}"
    "{i}It\'s only expected I guess. The two of  us may be friends, but we\'re not very close. We\'re training partners and classmates, but she\'s just a nice person I suppose.{/i}"
    "{i}I need to get  going or I\'ll miss breakfast.{/i}"
    
    scene bg hallway2
    with dissolve
    
    "{i}I better hurry up.{/i}"
    
    show carmine normal
    
    "{i}Oops! Should be more careful or else I might actually hit  into someone.{/i}"
    
    show carmine embarrass 
    with shortdissolve 
    c "Ah! Sorry, I didn't mean to get in your way."
    
    hide carmine
    with dissolve
    
    "{i}He left. I don\'t think I've seen him around, though I don't know many students who aren\'t  in my classes.{/i}" 
    
    scene bg dining
    with dissolve
    
    "{i}I arrive at the dining hall but  it looks like most people have already gone. This place is pretty empty.{/i}"
    'Male Voice' "I can\'t believe they finally found someone."
    
    show f_guardian:
        xalign 0.2 yalign 1.0
    show m_guardian:
        xalign 0.8 yalign 1.0
    with dissolve
    
    "{i}Oh, there are some Guardians over there.{/i}"
    g2 "Yes, after all these years of nothing. I was seriously beginning to doubt the legitimacy of  the work we do."
    g1 "Agreed. Who would have thought she would appear within our lifetimes? Hopefully now the suffering doesn't have to continue."
    g2 "Isn\'t it a pity it\'s a student who\'ll have to be sacrificed? Maybe if  it were some poor beggar girl then no one would care, but a student is definitely unexpected."
    g1 "It\'s for the good of the land, isn\'t it? One life in exchange for many. Her name was %(name)s, wasn\'t it?"
    "{i}Wait, are they talking about me?{/i}"
    "{i}...They can\'t be. Surely, there\'s someone else with my name.{/i}"
    g1 "This is strange, though. It\'s as if this girl had only acquired an Aurora Spirit recently. We were told that a portion of our Goddess\' power was scattered during her sealing."
    g1 "This girl has been here a while. Why didn't they find anything sooner?"
    g2 "Best not think about  it  in my opinion. I think we all want the darkness to end."
    "{i}Suddenly I don\'t feel so hungry anymore. I suppose I\'ll follow them as they return to  The Bridge.{/i}"
    
    hide f_guardian
    hide m_guardian
    with dissolve
    
    "{i}They\'re leaving now, time for me to  go.{/i}"
    "{i}Even though The Bridge to the Sky is open to the public, it might seem a bit suspicious if I\'m obviously following. Then again, it might seem even more suspicious if I try to hide it.{/i}"  
    
    menu:
    
        "Follow Anyway":
            "{i}It really shouldn't be a problem, I guess. Going to the bridge is something anybody is allowed to do.{/i}"
            
            jump toaltar
        
        "Follow More Subtly":
            jump dawdle
       
label dawdle:
    
    "{i}I'll follow them sneakily. If somebody sees that I'm following Guardians, they might think I'm trouble. Even if going to the bridge is something anybody can do, at least it's a bit more interesting this way.{/i}"
    
    scene bg prealtar
    with dissolve
    
    "{i}I follow after the Guardians at a distance, hoping not to be noticed.{/i}"
    "{i}There\'s a strange looking person up a head.{/i}"
    
    show marcel normal
    
    "{i}He looks my age but  isn't wearing an uniform. He\'s got wings too.{/i}"
    "{i}I  guess he must be a dragon.{/i}"
    
    m "Hey! I don\'t see many students of The Guradian Academy coming up here. Seems like most of them have left too."
    "{i}He's talking to me! I hope I\'m not in trouble!{/i}"
    "{i}He seems pretty friendly, though.{/i}"
    m "So, what are you doing?"
    "{i}I  guess I have to answer...{/i}"
    p "Uh, I was just heading to The Bridge."
    m "There can't be much to do there for somebody who isn't a Guardian."
    "{i}Oh no. Is he suspecting something?{/i}"
    p "I, I have some business..."
    
    show marcel happy
    with shortdissolve
    
    m "Why do you seem so tense? Are you worried I'm going to eat you?"
    p "..."
    
    show marcel normal
    with shortdissolve
    
    m "I\'m Marcel, by the way. Be my friend, okay?"
    
    $ marcelN = "Marcel"
    
    "{i}I can't see those two Guardians anymore. I should probably go now.{/i}"
    p "Um, all right. I think I have to go now."
    p "Err... bye."
    
    $ marcel_relation += 1
    $ confront += 1
    
    jump toaltar
    
label toaltar:
    
    scene bg prealtar
    with dissolve
    
    "{i}I follow the two Guardians and eventually arrive at a side entrance of  The Bridge to the Sky.{/i}"
    "{i}There seems to be a wall surrounding it else where.{/i}"
    "{i}I should go in closer though, if  I hope to get some information.{/i}"
    
    show bg altar
    with dissolve
    
    "{i}Wow, it's magnificent!{/i}"
    
    play music "special1.ogg" fadeout 1
    show bg cg
    with dissolve
    
    "{i}Ah! What's that light? {w}Is, is it coming from me?{/i}"
    
    show bg altar
    with dissolve
    
    "{i}...It\'s  gone now{/i}"    
    slow ". . ."      
    "{i}Are those some muffled voices I hear? There seems to be some commotion inside.{/i}"        
    "{i}Oh no! It looks like some people are coming out! Maybe they noticed that light?{/i}"
    'Male Voice' "Girl, if you remain standing there, it is you who will be captured."
    "{i}What? Who's behind me?{/i}"
    
    show thanos hat_n
    with dissolve
    
    "{i}He's really tall and a bit  unhealthy looking.{w} Strangely handsome though.{/i}"
    "{i}Maybe he's not from around here. His clothes aren\'t like anything I've ever seen before. And... why's his hair like that? It's so long and must be extremely troublesome!{/i}"
    u "It would be wise for you to come with me."
    "{i}What should I do? Is he actually trying to help  me?{/i}"
    
    menu:
    
        "Refuse":
            jump donttakecandy

        "Comply":
            jump takecandyfromstranger
    
label takecandyfromstranger:
    
    $ thanos_relation += 1
    $ confront += 1
    
    "{i}Better him than what ever else might happen to me. He seems genuine enough, anyway.{/i}"
    u "Come, quickly."
    
    hide thanos
    with dissolve
    
    play music "bgm.ogg" fadeout 1
    
    "{i}We dart  behind the wall, him leading.{/i}"
    
    show thanos hat_n
    with dissolve
    
    u "Have you been harmed?"
    "{i}He even talks slightly strangely.  I  guess he really isn't from around here.{/i}"
    p "No, I'm fine."
    "{i}We stand in silence for a while.{/i}"
    slow ". . ."
    "{i}Oh, it seems like the noise from back there has stopped.{/i}"
    p "Um, thanks for helping me."
    jump leavebridge
    
label donttakecandy:
    
    $ thanos_relation -= 1
    
    "{i}No, I can't trust him! Such a weird person like that, he must be suspiscious!{/i}"
    p "Leave me alone!"
    u "You do not understand the situation."
    "{i}He  grabs my arm suddenly.{/i}"
    "{i}Wow, his grip  is pretty tight even though he looks thin and pretty weak. I don't think I can get away!{/i}"
    p "No!"
    
    hide thanos
    with dissolve
    
    "{i}He drags me behind the wall, not loosening his  grasp for a second. I don't have much choice now.{/i}"
    
    show thanos hat_n
    with dissolve
    
    "{i}Well, if  there's something he wants with me, I guess I'll find out.{/i}"
    slow ". . ."
    
    play music "bgm.ogg" fadeout 1
    
    "{i}It sounds like the noise has disappeared now.{/i}"
    "{i}Did he really want to help  me?{/i}" 
    jump leavebridge
    
label leavebridge:
    
    u "It  is safe for you to leave now."
    "{i}So, that's it?{/i}"
    
    menu:
        
        "Ask Who He Is":
            $ thanos_relation +=1
            $ confront +=1
            p "Wait. Who are you?"
            u "That is not  important. It would be in your best  interest to leave."
            "{i}I  guess I should go.{/i}"
            jump tolibrary
            
        "Leave":
            hide thanos
            with dissolve
            
            "{i}What was that about? That man was strange.{/i}"
            jump tolibrary
            
label tolibrary:
    
    scene bg prealtar
    with dissolve 
    "{i}I walk away from The Bridge to the Sky as if nothing happened.{/i}"
    
    if thanos_relation ==2:
        "{i}Good thing that man was there, or who knows what could have happened?{/i}"
        "{i}I still don't know anything about him. I wonder if  I'll see him again some time.{/i}"
        jump libraryresearch
        
    else:
        jump libraryresearch
        
label libraryresearch:
    
    scene bg park
    with dissolve
    
    slow ". . ."
    "{i}Is what those guardians said true? Could I really have an Aurora Spirit?{/i}"
    "{i}But I've never noticed any difference between me and other girls.{/i}"
    "{i}What would having one be like, anyway?{/i}"
    "{i}Maybe if I did some research, it would help me understand what's going on a bit better.{/i}"
    slow ". . ."
    "{i}Ugh, I sure am hungry right about now. I wish we got more food to eat. Another meal at around now would be great.{/i}"
    "{i}Unfortunately, only the wealthy get to enjoy such luxuries as eating three times a day. I doubt anybody still here is in that situation, though.{/i}" 
    "{i}I guess I probably shouldn't be thinking about this sort of thing right now. After all, I've got more important things to consider.{/i}"
    
    scene bg library
    with dissolve
    
    slow ". . ."
    "{i}I'm at the library now. Am I really doing this?{/i}"
    "{i}This is stupid isn't it?{/i}"
    "{i}They've never found anybody with an Aurora Spirit in all this time, why would I be special?{/i}"
    "{i}Still, I guess it's better I make sure of some things...{/i}"
    "{i}I move around the library without any particular plan and pick up some books that look useful along the way.{/i}"
    "{i}Hmm... The Goddess' power coming into our world during her sealing and scattered over time... A female with an Aurora Spirit can bring her back... The Bridge to the Sky is the sole link to the upper kingdom...{/i}"
    "{i}There seems to be a lot of small details but nothing really I don't already know.{/i}"
    
    play music "special3.ogg" fadeout 1
    
    "{i}W-wait. What's this?{/i}"
    "{i}How could something like this be?{/i}" 
    slow ". . ."
    "{i}I'm going to have to be sacrificed? ...Does this mean they're going to kill me?{/i}"
    "{i}No! I-I don't believe this! We were never taught this in class. It just can't be true, can it?{/i}"
    "{i}They can't do that to one of their students, can they?{/i}"
    "{i}I wonder how many people know, yet it's right here in the library!{/i}"
    "{i}We're all training to protect a Goddess that wants something like this to happen for her to come back?{/i}"
    "{i}It's for the good of the world but, but... why me?{/i}"
    "{i}Why does it have to be me?{/i}"
    slow ". . ."
    "{i}How long will it be until this happens? Can't I do something about this? There must be something, right? After all...{/i}"
    "{i}I... I... don't want to die!{/i}"
    slow ". . ."
    "{i}The entrance to the historical archives is over there.{/i}"
    "{i} As usual, it's being watched.{/i}"
    "{i}Students aren't normally allowed in but there's probably something helpful in there. I have to take a look!{/i}"
    
    play music "bgm.ogg" fadeout 1
    
    if marcel_relation == 1:
        "{i}Hey wait! Don't I know that dragon?{/i}"
        "{i}I think it's that Marcel I met earlier!{/i}"
        jump alreadymetmarcel

    else:
        "{i}Maybe I'll be able to work something out, if I get lucky.{/i}"
        jump meetmarcel
        
label alreadymetmarcel:
    
    show marcel normal
    with dissolve
    
    p "Hi. We met earlier, right?"
    m "Yeah, you're..."
    m "Actually you never told me your name. So, what is it?"
    p "Uhh... %(name)s."
    m "%(name)s. So you've decided to be my friend?"
    p "Well, if you say so."
    "{i}He's a bit weird.{/i}"
    m "So what are you doing {i}here{/i}?"
    p "I was doing some research, about some things..."
    m "Research? Aren't your classes over already?"
    "{i}I think I've had about enough of this. I'll never be able to get him to let me inside.{/i}"
    p "Yeah, exactly. I was just finishing up."
    p "So... I think I'll be going now."
    "{i}I have to do something quickly!{/i}"
    
    show marcel troubled
    with shortdissolve
    
    m "Are you really going to leave so soon again? It gets a bit boring being here by myself all the time."
    m "You have free time, right? Why not stay here a little longer?"
    "{i}But he seems to act a bit like a puppy. Wouldn't it be mean to leave now?{/i}"
    p "Okay, I guess."
    
    show marcel happy
    with shortdissolve
    
    m "Yay!"
    
    show marcel normal
    with shortdissolve
    
    m "You must do a lot more interesting things than me. I just stand around here most of the day."
    m "I don't even get to sit down!"
    "{i}Wow, he's really quite the chatterbox. I wonder how I'm going to get myself out of this now.{/i}"
    m "So how did your research go? Find what you want?"
    "{i}Maybe I'm getting somewhere with this after all.{/i}"
    p "Actually... I was hoping to find a bit more in the archives."
    
    show marcel troubled
    with shortdissolve
    
    m "But students aren't allowed in there."
    p "And that's where I thought you could help. Please, I really need it!"
    m "Oh, right..."
    
    show marcel normal
    with shortdissolve
    
    m "I guess we could work something out."
    m "Meet me in the park outside the library tomorrow after breakfast. I'll help you then."
    m "Well, I get off duty about now so I don't have enough time. You'll be there, right?"
    p "Yeah, of course."
    
    show marcel happy
    with shortdissolve
    
    m "Great, see you tomorrow! He he he..."
    
    hide marcel
    with dissolve
    
    "{i}He left before I could even say good bye, and just a minute ago he was saying that I shouldn't.{/i}"
    
    $ marcel_relation +=1
    $ confront +=1
    $ meetingmarcel = True
    jump finishedresearch
    
    
label meetmarcel:
    
    show marcel normal
    with shortdissolve
    
    p "Hello. You must be watching the archives today. I've never seen you around before. Are you new?"
    m "Well I've never seen you around either."
    
    show marcel happy
    with shortdissolve
    
    m "But then again, I haven't met many students."
    m "I'm Marcel, by the way. Let's be friends, okay?"
    
    $ marcelN = "Marcel"
    
    "{i}He seems a bit too friendly... Well, better get to the point.{/i}"
    
    show marcel normal
    with shortdissolve
    
    p "Sure, okay. I'm %(name)s."
    p "Anyway, I was doing some research and was hoping to get into the archives."
    
    show marcel troubled
    with shortdissolve
    
    m "But students aren't allowed in there."
    p "And that's where I thought you could help. Please, it's really important!"
    m "Oh, right..."
    
    show marcel normal
    with shortdissolve
    
    m "I guess we could work something out."
    m "%(name)s, right? Would you meet me in the park outside the library tomorrow after breakfast? I'll help you then."
    m "Well, I get off duty about now so I don't have enough time. You'll be there, right?"
    
    menu:
        
        "Agree":
            p "Yeah, sure. I need all the help I can get."
            
            show marcel happy
            with shortdissolve
    
            m "Great, see you tomorrow! He he he..."
            
            hide marcel
            with dissolve
            
            $ marcel_relation +=1
            $ confront +=1
            $ meetingmarcel = True
            jump finishedresearch
            
        "Decline":
            p "I'm sorry, I sort off wanted to get in now."
            
            show marcel troubled
            with shortdissolve
            
            m "Oh, okay."
            m "I get off duty now so I have to go. See you around, I guess."
            
            hide marcel
            with dissolve
            
            "{i}I should probably go now. I'll need to find another way to get the information I need.{/i}"
            
            jump finishedresearch
            
label finishedresearch:
    
    scene bg dorm
    show rochelle normal
    with dissolve
    
    "{i}I return to my room. It appears Rochelle's already here.{/i}"
    r "%(name)s, welcome back. How has your day been?"
    p "It's been all right. I did some research at the library."
    "{i}I suppose I shouldn't tell her the whole story...{/i}"
    r "Oh, really? That isn't very like you."
    
    menu:
        
        "Ask About Her Day":
            jump askaboutday
            
        "Leave it at That":
            p "Well, there were some things I had to find out."
            jump daythree
            
label askaboutday:
    
    p "How about you, Rochelle? How was your day?"
    r "Ah, me?"
    
    show rochelle happy
    with shortdissolve
    
    r "Well I didn't do much. It wasn't anything special. Thank you for asking, though."
    p "Umm, okay then."
    
    hide rochelle
    with dissolve
    
    "{i}I sometimes wish Rochelle would talk more. We've known each other for so long but she's still always so quiet.{/i}"
    
    $ rochelle_relation +=1
    jump daythree
    
label daythree:
    
    hide rochelle
    with dissolve
    with darkness
    "{i}Oh, it's morning again.{/i}"
    
    if rochelle_relation == 2:
        "{i}Is Rochelle already awake?{/i}"
        p "Morning, Rochelle."
        r "Good morning."
        jump thinkaboutlife
        
    else:
        jump thinkaboutlife
        
label thinkaboutlife:
    
    "{i}So, I really have an Aurora Spirit?{/i}"
    "{i}I wonder what's going to happen to me now. We've never actually been taught how exactly the Goddess will come back. Will I really die?{/i}"
    "{i}I guess I feel kind of special... but does it really have to be this way?{/i}"
    "{i}I just wanted to do the best with the life I have but this? Isn't it a bit too much?{/i}"
    "{i}Something like this... I never thought it would happen, not to me! Ugh, I don't want this!{/i}"
    slow ". . ."
    "{i}Well, I guess I shouldn't worry so much and focus on working out a way around it.{/i}"
    
    if rochelle_relation ==2:
        jump breakfastwithrochelle
        
    else:
        jump norochellebreakfast
        
label breakfastwithrochelle:
    
    show rochelle normal
    with dissolve
    
    p "Want to go get breakfast now?"
    r "Okay then."

    scene bg dining
    with dissolve
    
    "{i}We arrive at the dining hall and this time, there's a lot more people here.{/i}"
    "{i}I guess quite a few students didn't go home for the break. I don't think there's anybody here that I really know, though.{/i}"
    "{i}We grab some food and sit down to eat.{/i}"
    
    show anastasia normal:
        xalign 0.2 yalign 1.0
    show calixte normal behind anastasia:
        xalign 0.8 yalign 1.0
    with dissolve
    
    "{i}There's a girl over there not in uniform, but she's with a student.{/i}"
    "{i}What's she wearing, though? Is she dressed up for something? I've never seen any clothes like that in my life!{/i}"
    "{i}They're really fancy and complicated, I didn't think anybody would wear things like that in public.{/i}"
    "{i}But still, I can't believe that sort of clothing really exists! I wonder how she got it?{/i}"
    "{i}I guess she must be somebody really special or important. I've never even seen the association leaders wearing anything like that before!{/i}"
    
    hide anastasia
    hide calixte
    with dissolve
    
    p "Hey, Rochelle, do you know those two over there?"
    
    show rochelle normal
    with dissolve
    
    r "No but the one with black hair's looks are really something."
    "{i}I was thinking the same thing. She looks about my age, too.{/i}"
    p "They look like the type of people that try really hard to look pretty. Who are they trying to impress, anyway?"
    r "There's no point. We'll never get to live a peaceful, happy life anyway."
    slow ". . ."
    "{i}I guess she's right, though. We wouldn't be here, if we could.{/i}"
    r "Oh, hi Carmine."
    "{i}Is somebody here?{/i}"
    
    show rochelle normal:
        xalign 0.2 yalign 1.0 
    with move
    show carmine normal:
        xalign 0.8 yalign 1.0
    with moveinright
    
    "{i}Oh, it's the boy that nearly bumped into me yesterday! So, his name is Carmine.{/i}"
    
    $ carmineN = "Carmine"
    $ carmine_relation +=1
    $ escape +=1
    
    c "Hi Rochelle. I didn't know you were going to stay here."
    r "Oh, yes, I stayed... I always do."
    
    show carmine happy
    with shortdissolve
    
    c "Ah! Same with me! We can be lonely together then!"
    p "You two know each other?"
    
    show carmine normal
    with shortdissolve
    
    c "I'm sorry, yeah. We met only recently, actually."
    c "By the way, you're %(name)s, right?"
    p "Yeah, that's me."
    c "The association member in charge of the academy wants to speak with you."
    "{i}Oh great. I don't like the sound of this...{/i}"
    c "So, how's your assignment coming along, Rochelle?"
    r "It's err... all right."
    "{i}I didn't think Rochelle did holiday courses. She never told me about them either.{/i}"
    "{i}I wonder if Carmine is Rochelle's boyfriend? Though I never thought she would be the type.{/i}"
    p "I didn't know you took extra classes. Is that why I never see you around?"
    r "Well, maybe... I need to keep my grades high enough."
    r "I think I better go now. Bye."
    
    hide rochelle
    with dissolve
    show carmine normal at center
    with move
    
    menu:
        
        "Leave Aswell":
            p "I should go too. Bye, Carmine."
            jump bumpintomarcel
            
        "Stay":
            "{i}I wonder what she's off to do at this time. Maybe she's involved in some secret cult I don't know about?{/i}"
            "{i}Nah, that's not likely. Probably just those holiday lessons.{/i}"
            jump staywithcarmine
        
label norochellebreakfast:
    
    "{i}I guess I better have breakfast.{/i}"
    
    scene bg dining
    with dissolve
    
    "{i}I arrive at the dining hall and this time, there's a lot more people here.{/i}"
    "{i}I guess quite a few students didn't go home for the break. I don't think there's anybody here that I really know, though.{/i}"
    "{i}I grab some food and sit down to eat.{/i}"
    
    show anastasia normal:
        xalign 0.2 yalign 1.0
    show calixte normal behind anastasia:
        xalign 0.8 yalign 1.0
    with dissolve
    
    "{i}There's a girl over there not in uniform, but she's with a student.{/i}"
    "{i}She's really pretty and looks around my age, but the two of them look like the type that try really hard to look good.{/i}"
    "{i}Who are they trying to impress, anyway?{/i}"
    "{i}What's she wearing, though? Is she dressed up for something? I've never seen any clothes like that in my life!{/i}"
    "{i}They're really fancy and complicated, I didn't think anybody would wear things like that in public.{/i}"
    "{i}But still, I can't believe that sort of clothing really exists! I wonder how she got it?{/i}"
    "{i}I guess she must be somebody really special or important. I've never even seen the association leaders wearing anything like that before!{/i}"
    
    hide anastasia
    hide calixte
    show carmine normal
    with dissolve
    
    "{i}Oh, it's the boy that nearly bumped into me yesterday.{/i}"
    c "Hello, you're %(name)s, right?"
    p "Yeah, that's me."
    c "The association member in charge of the academy wants to speak with you."
    "{i}Oh great. I don't like the sound of this...{/i}"
    
    menu:
        
        "Leave":
            p "Okay. I should go now, bye."
            jump bumpintomarcel
            
        "Stay":
            jump staywithcarmine
            
label bumpintomarcel:
    
    scene bg hallway2
    with dissolve
    
    "{i}I walk out of the dining hall.{/i}"
    
    show marcel normal
    with dissolve
    
    "{i}Oh, it's Marcel! What a coincidence!{/i}"
    
    $ marcel_relation +=1
    $ confront +=1
    
    if meetingmarcel ==True:
        p "Hi Marcel."
        m "Hi, %(name)s. See you a bit later, okay? I'm a bit busy now."
        
        hide marcel
        with dissolve
        
        "{i}He's off so quickly again. Unpredictable, I guess.{/i}"
        jump beingchased
        
    else:
        p "Hi."
        m "Hi."
        
        hide marcel
        with dissolve
        
        slow ". . ."
        "{i}That wan't much of a conversation.{/i}"
        jump beingchased
        
label staywithcarmine:
    
    p "Okay. Thanks for letting me know."
    p "Oh, and I'm sorry for nearly bumping into you yesterday." 
    c "No, no, that was definitely my fault. My name's Carmine, by the way. Maybe you already know."
    
    $ carmineN = "Carmine"
    
    c "So you're Rochelle's friend? She sometimes talks about you. She's a nice person."
    p "Ah, yeah. She is."
    slow ". . ."
    c "You should probably go now. It sounded quite important."
    p "Oh, right. Umm... okay. I'm going now. Thanks again."
    c "No problem. Bye."
    p "Bye."
    
    $ carmine_relation +=1
    $ escape +=1
    
    scene bg hallway2
    with dissolve
    
    "{i}I leave the dining hall quite hesitantly.{/i}"
    jump beingchased
    
label beingchased:
    
    "{i}I wonder what I should do now? Do I really want to go meet with the one in charge?{/i}"
    "{i}This is probably going to be about bringing the Goddess back anyway, and I doubt that it'll help me, really.{/i}"
    
    scene bg hallway
    with dissolve
    
    "{i}I wander around a bit, not knowing what I should do right now in this situation.{/i}"
    "{i}If I go, will they really sacrifice me? I still can't believe it. Are they really going to kill one of their students?{/i}"
    "{i}Thinking about how things are for us, I guess for them it wouldn't be much of a problem, but...{/i}"
    "{i}I'm sure it's going to be about that. I just wish I found out before they did, but it's too late now.{/i}"
    "{i}I sigh inwardly as I continue to walk around without making up my mind.{/i}"
    slow ". . ."
    
    scene bg dormhall
    with dissolve
    
    "{i}It looks like I've made it to a dormitory. I guess I'm not going the right way, so it's probably best to ignore their call now.{/i}"
    "{i}I have no idea what plans they have in mind for me as well, so I'm probably safer this way too.{/i}"
    
    play music "special1.ogg" fadeout 1
    
    slow ". . ."    
    "{i}I start to hear the sound of footsteps nearby... a lot of them! I think there are voices too and they sound adult!{/i}" 
    "{i}This isn't good! They can't be students, maybe they've decided to come after me? But there's no way I'll be able to avoid them forever!{/i}"
    "{i}I better think of something fast or they'll definitely catch me!{/i}"
    
    if meetingmarcel == True:
        jump trickedbymarcel
        
    else:
        jump threewayroadsplit
        
label threewayroadsplit:
    
    "{i}I can get off the school grounds and go somewhere nearby. It's less likely they'll find me outside... but there's also an empty dorm room it looks like I can go into. I doubt they'd look in a room that's not mine.{/i}"
    
    menu:
        
        "Leave School Grounds":                
            "{i}There's a door nearby that leads out of the building so I quickly slip outside, hopefully before the people behind me manage to see.{/i}"
            
            play music "bgm.ogg" fadeout 1
            
            "{i}I pick up my pace a bit, making my way over the grass and towards the edge of the academy.{/i}"
            "{i}It's probably better not to act too unusual or somebody that sees me might get suspiscious and I'm not really doing anything wrong.{/i}"
            jump meetfionn
            
        "Enter Dorm Room":
            jump meettheron
            
        "Run and Hope Something Happens":
            jump bumpintothanos
            
label trickedbymarcel:
    
    "{i}Oh, wait! I agreed to meet Marcel about now, didn't I? I'll be in the archives and they won't look there, will they?{/i}"
    "{i}I guess if I go there, I'll probably be okay. I'm glad I agreed to meet him today, but I really hope I'll be able to work out a solution soon.{/i}"
    "{i}Since Marcel's also going to help me, I'll definitely be able to find out something more. Still, I wonder why he asked to meet me outside the library.{/i}"
    "{i}Well, I better hurry or I might be late or who ever they sent to find me might catch up!{/i}"
    "{i}Breaking in to a run, I head outside and towards the park outside of the library.{/i}"
    "{i}I feel excited but anxious at the same time. I wonder if there's good news waiting for me somewhere!{/i}"
    
    play music "bgm.ogg" fadeout 1    
    show bg park
    with dissolve    
    
    "{i}After running for a while, I arrive at the park. I don't think I can see Marcel anywhere, though.{/i}"
    "{i}I'm sure this is the place I'm supposed to be but he doesn't seem to be here.{/i}"
    "{i}Well, at least I know I'm not late, which I guess is a good thing.{/i}"
    slow ". . ."
    "{i}What's that in the sky over there? It looks much too big to be a bird and seems to be coming this way!{/i}"
    "{i}It's coming closer and I can see that it's blue. Could it be Marcel?{/i}"
    "{i}Wow, it really is him! I've never seen a dragon fly in humanoid form before, his wings are huge!{/i}"
    "{i}I hadn't really noticed his wings until now, I guess they must get larger when he flies!{/i}"
    
    show marcel normal
    with dissolve
    
    "{i}A few seconds later, he lands in front of me. I couldn't help but feel a little bit scared when he was coming at me so fast, but things seem perfectly fine.{/i}"
    "{i}I guess he's been doing it for so long and I didn't really have to worry.{/i}"
    "{i}Suddenly, his wings shrink and aren't so big anymore.{/i}"
    m "Hi %(name)s! I'm really happy that you made it!"
    p "I said I'd come, didn't I? Can we get started now?"
    "{i}I hope he hasn't forgotten what we're here to do. He seems rather absent-minded.{/i}"
    p "You didn't forget that you promised to help me with my research, did you?"
    m "Hey, I'm sorry for being a little late but of course I didn't!"
    p "Well? Shouldn't we go inside now?"
    "{i}We better hurry up, or I might get caught!{/i}"
    m "Well, actually..."
    p "Yes? What is it?"
    m "I lied yesterday. I just wanted somebody to play with today."
    "{i}What? This must be a joke right? Is he trying to say he isn't going to help me after all?{/i}"
    m "No matter how much I don't care about my job, I can't just break the rules like that."
    
    show marcel happy
    with shortdissolve
    
    m "Besides, it's not even my duty day today!"
    "{i}Is he serious? I can't believe this! If I get caught by the people from the association, who knows what might happen? I really can't take that risk now!{/i}"
    p "You mean you {i}aren't{/i} going to help me?"
    
    show marcel troubled
    with shortdissolve
    
    m "Do you really have to be that upset? I had some fun things planned for today!"
    "{i}How could he do this? This is so important! What can I do now?{/i}"
    
    menu:
        "Stay with Marcel Anyway":
            jump flyinthesky
            
        "Leave and Hide Off the School Grounds":
            "{i}I should probably just leave and go where I won't likely be found. Argh, what a waste of time!{/i}"
            p "I thought you could help me but this is just stupid!"
            
            show marcel sad
            with shortdissolve
            
            m "But..."
            p "I can't believe this! I've got more important things to do!"
            
            hide marcel
            with dissolve
            
            $ marcel_relation -=3
            $ confront -=3
            
            "{i}I'm too angry too put up with him anymore and break into a run.{/i}"
            jump meetfionn
    
label flyinthesky:
    
    $ marcel_relation +=1
    $ confront +=1
    
    "{i}He seems quite upset and I guess I could stay to cheer him.{/i}"
    "{i}He probably didn't think it was as serious as it is, so it's not really his fault.{/i}"
    "{i}I just hope I don't get discovered because of this!{/i}"
    p "Okay, what did you want to do?"
    
    show marcel happy
    with shortdissolve
    
    m "So does this mean you're staying? Yay! I'm glad I have a friend like you!"
    "{i}Well, I don't really know about friends, but he has a spirit that I just don't want to break.{/i}"
    m "What we're going to do is lots more fun that researching, anyway!"
    
    show marcel normal
    with shortdissolve
    
    "{i}He grabs my arm before I can say anything and starts moving forward.{/i}"
    "{i}He's stronger than he looks, for sure. I'm sure he's not older than me, but then again... he's a dragon and has probably been alive for a long time already!{/i}"
    
    hide marcel
    with dissolve
    
    "{i}After a while he stops and I watch in awe as his wings grow. They're even bigger than I expected and must be at least three times as long as his height!{/i}"
    "{i}With a strong gust of wind, he takes of. This time not going too high. He must want me to watch him.{/i}"
    "{i}That sure looks fun. Flying must feel like freedom and being so high up above the ground must make all the problems of this world seem so far away...{/i}"
    "{i}He's still going at it, he must really be enjoying himself! Doesn't he get tired quickly?{/i}"
    "{i}I wonder if he'll be able to hear me if I try to talk to him from here... Or if he'll even pay attention. Better shout, I guess.{/i}"
    p "You're really amazing, Marcel! I never thought flying could be so interesting!"
    m "Thanks! I'm glad you're impressed!"
    "{i}Dragons really are a majestic race and they live for so long. I guess they really are very different from humans.{/i}"
    "{i}After doing another loop, he lands back down in front of me.{/i}"
    
    show marcel normal
    with dissolve
    
    m "So, do you want a go?"
    "{i}Huh? What exactly does he mean? Oh, wait, I think I get it!{/i}"
    p "Umm, are you really sure that's such a good idea? Wouldn't it be a bit dangerous?"
    m "C'mon, don't you trust me? I'm stronger than I look! I'll take you sight seeing!"
    p "Well, it did look like fun... Okay I guess!"
    m "Here, let me pick you up!"
    p "Err..."
    "{i}But before I can say anything else he lifts me off the ground, seemingly effortlessly. Wow, he wasn't kidding! He really is stronger than he looks!{/i}"
    
    play music "special2.ogg" fadeout 2
    hide marcel
    with dissolve
    
    "{i}In the blink of an eye we accelerate into the air. Eek! We're so high up already!{/i}" 
    p "I'm a bit scared. Can we slow down?"
    m "No can do! It's more exciting this way!"
    p "Ahh!"
    
    show bg cg
    with dissolve
    
    "{i}I throw my arms around his neck without thinking. I hope nothing goes wrong!{/i}"
    m "Why don't you look down? It's really pretty and you'll definitely like it!"
    "{i}Wouldn't that be frightening? Okay, just a peek...{/i}"
    "{i}I turn my head down a little and gaze at the world below. Wow, everything's so small!{/i}"
    p "Wow, it's amazing! There's even a river flowing near our school!"
    m "See? Aren't you glad you decided to come up here now? And I can see this any day! When ever I feel like it!"
    p "Wow..."
    "{i}But I'm starting to feel a bit nauseous. It must be the strong wind blow on my face and the speed we're going at.{/i}"
    p "Actually, Marcel. I'm not feeling that well any more. Can we go down?"
    m "Aww. Well, okay then."
    "{i}Within seconds, we're back on the grass again.{/i}"
    
    play music "bgm.ogg" fadeout 1
    scene bg park
    show marcel normal
    with dissolve
    
    m "That was fun, right? You should come play with me again some time!"
    p "Umm, okay then, I guess."
    m "I'm quite busy with things a lot of the time but I'm almost always here outside the library when I'm free. You can come find me!"
    "{i}That was enough excitement for one day. I should probably go back to my room now and do something more peaceful.{/i}"
    p "Okay, bye then. See you some time later."
    m "Bye bye!"
    
    jump practicemagic
    
label meetfionn:
    
    scene bg prealtar
    with dissolve    
    
    "{i}Passing a few more school buildings, I make it to public ground. This place looks secluded and it's quite quiet.{/i}"
    slow ". . ."
    "{i}It looks like there's somebody painting over there. That's definitely not something I see often.{/i}"
    "{i}He must be a student, jugding by his clothes, yet he still has time for things like that? I guess he must be one of the luckier people...{/i}"
    "{i}But still, is there really a point?{/i}"
    
    show bg cg
    with dissolve
    
    "{i}I walk a bit closer and since there's not much for me really to do, I watch him paint the surroundings.{/i}"
    "{i}He's really quite good. He's probably been practising for a long time.{/i}"
    slow ". . ."
    "{i}He's not noticing me. I wonder if I should say something.{/i}"
    "{i}I move to where I can comfortably talk to him, as well as taking a closer look at the picture.{/i}"
    
    scene bg prealtar
    show fionn normal
    with dissolve
    
    p "Wow, you're really good at painting." 
    f ". . ."
    f "Um, thanks I suppose..."
    "{i}He goes back to painting and ignores me. I guess I should just stay here for a while, since I don't think I want to go back to the academy just yet.{/i}"
    "{i}Oh, it looks like somebody else is coming this way now!{/i}"
    
    $ fionn_relation +=1
    $ escape +=1
        
    show anastasia normal at left behind fionn
    with dissolve
    show fionn normal:
        xalign 0.7 yalign 1.0
    with move
    
    "{i}She looks familiar. I think she's one of the girls I saw earlier this morning.{/i}"
    v "Hi Fionn! What are you painting now?"
    f ". . ."
    "{i}She sure acts friendly to him. I guess even people like him have people close to then.{/i}"
    "{i}Did she call him Fionn? I wonder if that's a nickname.{/i}"
    
    $ fionnN = "Fionn"
    
    "{i}Maybe I should leave then. If they're friends, maybe it's rude for me to stay here?{/i}"
    
    menu:
        
        "Stay Anyway":
            jump annoyfionn
            
            
        "Leave Them Alone":
            jump leavefionnalone
    
label annoyfionn:
    
    "{i}Well, it doesn't look like Fionn has much to say anyway so I guess it would be okay for me to stay here.{/i}"
    v "So, what are you doing today? Are you going to finish that one soon?"
    
    show fionn annoyed
    with shortdissolve
    
    f ". . ."
    "{i}That's a bit rude. Why isn't he saying anything back to her?{/i}"
    
    show anastasia normal:
        xalign 0.3 yalign 1.0
    with move
    
    v "Aww, don't keep ignoring me."
    
    show fionn annoyed at right
    with move
    
    f "Why are you always following me? How many times do I have to tell you to go away?"
    
    show anastasia sad
    with shortdissolve
    
    v "But, but..."
    "{i}Maybe they're not friends afterall? But I certainly wouldn't like to be treated like that.{/i}"
    f "Just leave me in peace. I don't like you."
    v ". . ."
    
    hide anastasia
    with dissolve
    
    "{i}Was that really necessary? He seemed to upset her quite a bit.{/i}"
    "{i}He's looking at me now, and he doesn't look bery pleased.{/i}"
    f "...Are you one of her friends? You go as well!"
    p "No, I'm-"
    f "I don't need anymore trouble from you."
    "{i}I probably shouldn't stay here. He seems quite annoyed.{/i}"
    
    hide fionn
    with dissolve
    
    "{i}He sure wasn't very friendly. What was his name again? Fionn?{/i}"
    "{i}I guess I'll go back to my dorm now. It should be okay if I take my time. They can't still be chasing me, can they?{/i}"
    jump practicemagic
    
label leavefionnalone:
    
    $ fionn_relation +=1
    $ escape +=1
    
    "{i}It's probably better if I go. I don't want to be intruding on their privacy.{/i}"
    
    hide fionn
    hide anastasia
    with dissolve
    
    slow ". . ."
    "{i}I guess there's not much for me to be doing right now. I wonder if they're still looking for me?{/i}"
    "{i}I walk around outside for a while, enjoying the weather.{/i}"
    "{i}That red haired elf passes by.{/i}"
    "{i}She looks kind of sad. I wonder what Fionn said to her?{/i}"
    "{i}Maybe that means they're not friends after all?{/i}"
    "{i}I guess I'll go back to my dorm now. It should be okay if I take my time.{/i}"
    jump practicemagic
    
label meettheron:
    
    $ theron_relation +=1
    $ confront +=1
    
    "{i}I quietly but swiftly open the door that's ajar and rush inside, almost slamming it behind me.{/i}"
    
    play music "bgm.ogg" fadeout 1
    
    "{i}Breathing a sigh of relief, I turn around slowly and-{/i}"
    
    scene bg cg
    with dissolve
    
    t "What do you think you're doing in my room?"
    p "What? This is your room?"
    "{i}Oh no! There's somebody in here? This is bad!{/i}"
    t "Well? Say something already!"
    p "I, I'm sorry. I thought this room was empty."
    "{i}Gosh, this turned out a disaster.{/i}"  
    t "You thought wrong. This is my room and I'm in here."
    p "I'm sorry! I needed somewhere to... umm... hide."
    t "I don't care. Do what you want. I'm going back to sleep now."
    
    scene bg theronR
    with dissolve
    
    slow ". . ."
    "{i}What's that supposed to mean? Is he really going to go to sleep while I'm in here?{/i}"
    "{i}I should probably go but those people are probably still looking for me. I guess it's better to stay here for a while.{/i}"
    
    menu:
        
        "Ask His Permission to Stay":
            jump getpermission
            
        "Assume You Have Permission":
            "{i}Well, since he said he didn't care I guess it should be okay if I just stayed.{/i}"
            jump stayinroom
    
label getpermission:
    
    "{i}I guess I should ask him if I can stay here first, this is his room after all. I wonder if he really is sleeping?{/i}"
    p "Um, excuse me."
    t "You're still here? What is it now?"
    p "I wanted to ask if I could stay here for a while longer. I'm %(name)s, by the way. Umm... You're a demon, right?"
    t "Eh? Of course! You've never seen a demon before? Well, a girl like you probably avoids us, right?"
    p "..."
    p "So err, would it be all right?"
    t "Ha. You're a funny girl. I thought I told you I didn't care what you did? Go a head, just don't disturb me any more."
    p "Err, thanks, I guess."
    "{i}He says that now but I wonder what would have happened if I didn't?{/i}"
    
    $ theron_relation +=1
    $ confront +=1
    jump stayinroom
    
label stayinroom:
    
    slow ". . ."
    "{i}So, he's really sleeping? What a strange thing to be doing in the middle of the day?.{/i}"
    "{i}His room seems awefully empty too. I guess he doesn't share his room with anyone either. I mean, there's only one bed here.{/i}" 
    "{i}It's rather rude for me to be looking around, but it's not like I can just stare at the wall for the whole time.{/i}"
    "{i}There really doesn't seem to be much else in here though, apart from the furniture. No books, pictures, or anything. I don't think there's even a clock in here! Where could it be?{/i}"
    "{i}I wonder when I'll be able to leave. I don't think a lot of time has passed though. How long will I have to stay in here for?{/i}"
    slow ". . ."
    "{i}He's a demon... I definitely don't understand them. They don't really have any reason to want to become a guardian, do they? Yet there are plenty who do...{/i}"
    "{i}They can all defend themselves pretty well using their own abilities without having to be trained so it's a bit strange that they would.{/i}"
    "{i}*Sigh* Wonder how much time has passed since I came in here? It's not very easy to tell by looking out the window but at least I have that.{/i}"
    "{i}Looks like it's still only around noon. Would they still be after me?{/i}"
    "{i}Hmm... It seems like that guy is really asleep. Maybe I should do something instead of just waiting around? I'm wasting time, after all.{/i}"
    slow ". . ."
    "{i}I guess the only thing I can really do is practice something that doesn't cause a lot of disturbance. I think Rochelle can already use elemental magic so I've got a lot of work to catch up to her.{/i}"
    
    stop music fadeout 2
    scene bg black
    with dissolve
    
    "{i}Closing my eyes, I sit down on the ground and begin to concentrate on the energy flowing through my body...{/i}"
    slow ". . ."
    slow ". . ."
    "{i}I focus on the space directly around my body and start drawing the energy out...{/i}"      
    "{i}Wait, this feels a bit weird. Something's not right. Why does this magic feel... so much not like my own?{/i}"
    
    play sound "noise.wav"    
    with fire
    
    "{i}What was that? There's something wrong!{/i}"
    "{i}Ahh!{/i}"
    
    play sound "noise.wav"
    with fire
    play sound "noise.wav"
    with poison
    
    "{i}I feel dizzy...{/i}"
    pause 1.0
    slow ". . ."
    
    scene bg theronR
    with longdissolve
    play music "bgm.ogg" fadeout 1
    
    p "Ugh..."
    "{i}What happened? I've never had something like that disrupt my magic before. It felt like my energy was over whelming me.{/i}"
    "{i}...Was it even mine? It was much too powerful. Could it have something to do with the Goddess' power?{/i}"
    "{i}With the Aurora Spirit... Maybe it needed time to fully awaken? We've never been taught anything about it but since they haven't yet found anybody with one, maybe nobody knows for sure how it works?{/i}"
    "{i}That would explain why they couldn't find it earlier but now that it's revealed itself, I don't think I can control it. It scares me a little...{/i}"
    slow ". . ."
    "{i}It looks like I was unconscious for a while. Judging by the sun's position in the sky, it's already well into the afternoon. It might even be approaching evening!{/i}"
    "{i}It's dangerous to be unconsious for so long, though, right? Oh well, I don't think it's really the same in this case.{/i}"
    "{i}It would be bad if I missed dinner. I better be going now. Surely they wouldn't still be looking for me after a whole day?{/i}"
    "{i}That demon still seems to be sleeping. He hasn't moved at all since I passed out, I don't think.{/i}"
    "{i}With the little food we're provided here, it would be a pity if he missed out on a single meal, but it's not really any of my business. He can do what he wants.{/i}"
    
    menu:
    
        "Wake Him Up":
            "{i}It's probably better if I do. I mean, I'm already hungry and he's a boy so he probably needs even more food than I do.{/i}"
            "{i}Hmm... I wonder how I should do this...{/i}"
            p "Um, excuse me. I know you said not to disturb you but this time I think it might actually interest you."
            "{i}I hope he heard me, and that he doesn't get angry.{/i}"
            t "Huh? You're {i}still{/i} here? What's it this time?"
            "{i}Uh oh, he doesn't sound very pleased. Maybe it was a bad idea? Oh well, it's too late now.{/i}"
            p "Err... It's time for dinner already. I thought you might like to know... We don't get a lot of food here so just thought you wouldn't want to miss it."
        
            show theron normal
            with dissolve
            $ theron_relation +=1
            $ confront +=1
        
            t "Ah, is that it? Okay then, whatever."
            jump dinnerwiththeron
        
        "Leave Him Alone":
            "{i}Better not. He said not to talk to him again, after all, and whether he misses dinner or not isn't my problem.{/i}"
            
            scene bg hallway2
            with dissolve
            
            "{i}After a few minutes of walking, I arrive at the entrance of the dining hall, and is that Rochelle I see?{/i}"
            
            show rochelle normal
            with dissolve
            
            r "Hello, %(name)s."
            p "Hi. Since we're here, can I go with you?"
            r "I suppose so. It's not like I have anyone else to go with."
            
            jump bewarned
    
label bumpintothanos:
    
    "{i}None of those ideas were good, I guess. I know I'll manage to find help soon.{/i}"
    "{i}I start running down the hallway with hopes of coming across something that can get me out of this.{/i}"
    "{i}I quickly turn the corner and-{/i}" 
    
    play sound "hit.wav"
    show thanos nohat_n
    with hpunch
    
    "{i}A dark silhouette is suddenly in front of me and I couldn't stop myself from hitting into it.{/i}"
    "{i}It's, it's...{/i}"
    
    u "You should be more careful in the furture so such does not happen again."
    "{i}It's the man I met at The Bridge to the Sky. Oh no, I hope he's not mad!{/i}"
    
    if thanos_relation == 2:
        "{i}I feel myself blushing. I hope it's not noticable.{/i}"
        p "I'm sorry. I didn't hurt you, did I?"
        u "No."
        
    else: 
        "{i}He's a bit rude, isn't he, not even asking if I'm all right?{/i}"
        
    "{i}Well, that was embarrassing. I wonder what he's doing here.{/i}"
    "{i}That's right, I have to run away! I'm still being chased!{/i}"
    u "Girl, what is your name?"
    "{i}Argh, I don't have time to talk! But what if he's a new teacher? I can't just ignore him!{/i}"
    p "It's %(name)s. I'm in a hurry and don't really have time to talk."
    u "You have my word, you will be safe with me."
    "{i}What? Could it be possible that he knows? But how?{/i}"
    "{i}Maybe he's from the association too? Yet he helped me just yesterday!{/i}"
    p "Who are you?"
    u "My name is Thanos."
    
    $ thanosN = "Thanos"
    $ thanos_relation +=1
    $ confront +=1
    play music "bgm.ogg" fadeout 1
    
    "{i}I glance back nervously. Will I really be okay here? I can't seem to hear footsteps anymore, at least.{/i}"
    "{i}So, his name is Thanos? I don't really know why, but I feel like I should stay. At least to find out some information.{/i}"
    p "We met yesterday. Why are you {i}here{/i}? Are you a new teacher?"
    u "No, I am only visiting."
    "{i}I didn't think people really visited the academy. He seems to know things...{/i}"
    "{i}At least I know that he's not a teacher. I was beginning to get a bit worried about the way I'm talking to him.{/i}"
    p "Umm..."
    "{i}I wonder if I should talk to him more. It seems like he's expecting something and I can't hear any footsteps right now.{/i}"
    p "Were you going somewhere before?"
    u "No."
    "{i}Err, that's a bit weird. People don't normally walk around with nothing to do, especially here.{/i}"
    p "Then... What were you doing? Are you waiting for someone?"
    u "I was strolling. I came to observe this academy."
    "{i}I wonder why that is...{/i}"
    "{i}Well, I guess I should get going anyway. Even if it doesn't seem like I'm being chased, I wouldn't be good to stay here for too.{/i}"
    p "So if you don't want anything, I think I should leave now."
    
    hide thanos
    with dissolve
    
    "{i}As I begin to turn around, I hear Thanos' voice behind me.{/i}"
    u "Do not leave just yet. Do you require assistance? Were you escaping?"
    "{i}Why does that come awefully close to how things are? Maybe he really is from the association?{/i}"
    
    show thanos nohat_n
    with dissolve
    
    p "No, I'm fine!"
    "{i}At least, it seems like I'll be okay now.{/i}"
    u "We have met before. I understand that you are a student? Perhaps you could answer some questions?"
    "{i}So maybe he wants something afterall? Maybe's he's going to become a teacher? He seems too old to be student.{/i}"
    p "He he, do I have a choice?"
    slow ". . ."
    "{i}His face seems to be fixed in that one expression. I guess he must take things quite seriously.{/i}"
    p "Umm, should we go somewhere else then?"
    u "Here is fine. My questions are few."
    p "Umm, okay."
    "{i}This is a bit awkward and I can't look directly at his face. Instead I look around and sometimes glance at him.{/i}"
    u "Are you happy and safe here?"
    slow ". . ."
    "{i}What sort of question is that? How am I supposed to answer that?{/i}"
    p "I, I guess it could be worse. I have everything provided for me here and it's definitely safer than living outside."
    u "What are your thoughts on becoming a Guardian?"
    p "If I can get through graduation, I won't really have to worry about things. It's the only real option for people like me, and there are a lot of then"
    "{i}He seems to fall silent again but before I can do anything, he asks another question.{/i}"
    u "Do students receive a heavy work load?"
    p "Not really, though it depends on how well you do. Good students have less to get better at."
    u "Well then, I will be on my way, but if you do decide you are in need of assistance, you may find me by the river... or I will find you."
    
    hide thanos
    with dissolve
    
    "{i}He walks away, leaving me pondering his last words.{/i}"
    "{i}I don't really know... Who is he to say he can help me?{/i}"
    "{i}But, if he really can, maybe I can get myself out of this situation and stop myself from being sacrificed?{/i}"
    slow ". . ."
    "{i}I don't really have anything to do now. I guess I'll go back to my room.{/i}"
    
    jump practicemagic
    
label practicemagic:
    
    scene bg dorm
    with dissolve
    
    "{i}After several minutes of walking around, I arrive back at my dorm room.{/i}"
    "{i}I wonder what I should do now. There's still a while before I can go to dinner and I should probably do something to not waste time.{/i}" 
    "{i}I guess I should practice some magic. I think Rochelle can already use elemental magic so I've got a lot of work to catch up to her.{/i}"
    
    stop music fadeout 2
    scene bg black
    with dissolve
    
    "{i}Closing my eyes, I sit down on the ground and begin to concentrate on the energy flowing through my body...{/i}"
    slow ". . ."
    slow ". . ."
    "{i}I focus on the space directly around my body and start drawing the energy out...{/i}"      
    "{i}Wait, this feels a bit weird. Something's not right. Why does this magic feel... so much not like my own?{/i}"
    
    play sound "noise.wav"    
    with fire
    
    "{i}What was that? There's something wrong!{/i}"
    "{i}Ahh!{/i}"
    
    play sound "noise.wav"
    with fire
    play sound "noise.wav"
    with poison
    
    "{i}I feel dizzy...{/i}"
    pause 1.0
    slow ". . ."
    
    'Voice' "%(name)s! What's wrong? Are you all right?" 
    
    play music "bgm.ogg" fadeout 1
    scene bg dorm
    show rochelle normal
    with longdissolve
        
    p "Ugh..."
    r "What happened? When I came in, you were lying unconscious on the floor."
    p "What happened? I'm not really sure..."
    "{i}I remember I was practising my magic and then...{/i}"
    p "I was practising magic and, well, I must've done something wrong."
    r "That's strange, I've never heard of that happening. Something like that has certainly never happened to me."
    "{i}That's right, I've never had something like that disrupt my magic before. It felt like my energy was over whelming me.{/i}"
    "{i}...Was it even mine? It was much too powerful. Could it have something to do with the Goddess' power?{/i}"
    "{i}With the Aurora Spirit... Maybe it needed time to fully awaken? We've never been taught anything about it but since they haven't yet found anybody with one, maybe nobody knows for sure how it works?{/i}"
    "{i}That would explain why they couldn't find it earlier but now that it's revealed itself, I don't think I can control it. It scares me a little...{/i}"
    p "Don't worry too much about it. I don't think it was anything serious. I mean, I feel fine now."
    "{i}It's probably not the best idea to get her involved with this. At least, not right now.{/i}"
    r "It's time for dinner already. If you really think it's nothing then, shall we go?"
    "{i}Wow, really? I must have passed out for quite a while! That's dangerous to be unconsious for so long, though, right? Oh well, I don't think it's really the same in this case.{/i}"
    p "Yeah, sure. I'm really quite hungry now. Let's go then."
    
    hide rochelle
    with dissolve
    
    "{i}We spend a moment walking to the dining hall and arrive at peak time. It's pretty much packed.{/i}"
    
label bewarned:
    
    scene bg dining
    with dissolve
    
    "{i}After grabbing our share, we sit down at an empty table. Looks like there's something new for us today. That's certainly never happened in all the time I've been here.{/i}" 
    
    show rochelle normal
    with dissolve
    
    p "Look, Rochelle! We've got some meat today! We really got meat! Isn't that amazing?"
    r "Oh, yeah, I suppose so. But I wonder what type of animal they had to kill to get this."
    p "What did you say?"
    r "No, it's nothing important. After all, it's great that we have something different to eat."
    "{i}I wonder how they could afford this all of a sudden. I wonder what type of meat it is.{/i}"
    p "I really can't believe this! Did the academy suddenly get a lot more gold?"
    r "Oh, you mean... you don't know? They haven't told you..."
    p "What? What do you mean, Rochelle? Why does it seem like you know so much when I'm left in the dark?"
    "{i}She does seem to be updated an aweful lot more that I am about what's happening with the academy. Maybe it's because of her being in a better class than I am?{/i}"
    r "Our academy recently received an extremely large donation. I'm not sure from where but It's really an unimaginable amount."
    p "Maybe it was the dragons? They often help us out, don't they?"
    r "But no, the dragons love hoarding their gold. We're really fortunate to receive such a large amount."
    "{i}It seems like a lot of unusual things have been happening recently. Could it all be related to the Aurora Spirit?{/i}"
    r "They've received enough to construct even a new dormitory wing. It's not finished yet but they planned for those rooms to be incredbly luxurious. The best students get to board there for a while."
    r "I guess they want to test it first but I believe they're in high demand. There's extremely high competition to get in."
    
    if rochelle_relation == 2:
        "{i}I wonder if Rochelle's trying for it. She's taking those extra classes, after all.{/i}"
        "{i}But then again, she's always been a fairly good student. I hope she doesn't plan on abandoning me.{/i}"
        jump wolves
    
    else:
        jump wolves
    
label wolves:
    
    p "I see. I wonder if we'll get a chance to even look at them, if we're not lucky enough to stay there."
    r "Oh, there's something else I wanted to tell you."
    "{i}I guess it's something else they didn't tell me.{/i}"
    r "There's been a sudden influx of demonic creatures around here. They also seem to be stronger than normal."
    p "I guess that's going to put our skills to the test then!"
    r "No, seriously. They're {i}much{/i} stronger than normal. I think we should be carfeul."
    
    jump makedesicion
    
label dinnerwiththeron:
    
    p "Okay, I guess I'll be going then..."
    
    hide theron
    with dissolve
    
    "{i}I start walking, and it seems like he's following me. I wonder why that is? I thought he didn't like me.{/i}"
    
    scene bg hallway2
    with dissolve
    
    "{i}After a few minutes, we arrive at the entrance of the dining hall, and is that Rochelle I see?{/i}"
            
    show rochelle normal
    with dissolve
            
    r "Hello, %(name)s."
    "{i}She seems to double take at the demon beside me. I guess it would look strange. I only met him today.{/i}"
    p "Hi. Since you're here, can I go with you?"
    r "I suppose so. It's not like I have anyone else to go with."
    
    hide rochelle
    with dissolve
    
    "{i}After grabbing our share, we sit down at an empty table. The demons came with us too but it doesn't seem like he took the food.{/i}"
    
    show rochelle normal at right
    show theron normal at left
    with dissolve
    
    "{i}Oh, not I remember! Demons don't have to eat at all. Gosh, that was silly of me. Maybe I should aplogise for waking him up, then?{/i}"
    p "Umm, I'm sorry. Err... I forgot at the time that demons don't eat."
    
    show theron happy
    with shortdissolve
    
    t "Ha ha! Don't apologise to me. I'm Theron. It was cute of you to invite me. I've got nothing better to do, anyway. It's not like sleeping really gives me any more energy."
    
    show theron normal
    with shortdissolve
    $ theronN = "Theron"
    
    "{i}I cant' say I exactly invited him... I really hope Rochelle doesn't mind.{/i}"
    "{i}Looks like there's something new for us to eat today. I didn't notice earlier but that's never happened before.{/i}" 
    p "Look, Rochelle! We've got some meat today! Isn't that amazing?"
    r "Oh, yeah, I suppose so. But I wonder what type of animal they had to kill to get this."
    t "What's so amazing about that? You've never seen meat before? And who cares what animal died for this?"
    r "..."
    "{i}If I'd known he'd be this rude, I wouldn't have bothered waking him up!{/i}" 
    p "That wasn't very nice! I'm sorry for this, Rochelle."
    "{i}It seems like the mood's been ruined... but still I wonder how they could afford this all of a sudden.{/i}"
    p "I still can't really believe this! Did the academy suddenly get a lot more gold?"
    r "Oh, you mean... you don't know? They haven't told you..."
    t "You can't be a really good student, can you? The always tell the good students eveything that's going on. I just don't pay any attention!"
    "{i}Is he trying to say he's a good student while I'm not? But judging by his attitude, what type of teacher would like a student like him?{/i}" 
    "{i}I should probably just do my best to ignore him. It's not like he's being very friendly to Rochelle and me.{/i}"
    p "What? What do you mean? Why is it that I'm always left in the dark about things?"
    "{i}Maybe students in better classes really do get told more information about what's happening around the academy?{/i}"
    r "Our academy recently received an extremely large donation. I'm not sure from where but It's really an unimaginable amount."
    p "Maybe it was the dragons? They often help us out, don't they?"
    r "But no, the dragons love hoarding their gold. We're really fortunate to receive such a large amount."
    "{i}It seems like a lot of unusual things have been happening recently. Could it all be related to the Aurora Spirit?{/i}"
    r "They've received enough to construct even a new dormitory wing. It's not finished yet but they planned for those room to be incredbly luxurious. The best students get to board there for a while."
    r "I guess they want to test it first but I believe they're in high demand. There's extremely high competition to get in."
    
    if rochelle_relation == 2:
        "{i}I wonder if Rochelle's trying for it. She's taking those extra classes, after all.{/i}"
        "{i}But then again, she's always been a fairly good student. I hope she doesn't plan on abandoning me.{/i}"
        jump wolves2
    
    else:
        jump wolves2
    
label wolves2:
    
    p "I see. I wonder if we'll get a chance to even look at them, if we're not lucky enough to stay there."
    t "The teachers are so unfair. The goody-two-shoes students get all the benefits. Not like I really care, though, but that's just stupid!" 
    r "Oh, there's something else I wanted to tell you."
    "{i}I guess it's something else they didn't tell me.{/i}"
    r "There's been a sudden influx of demonic creatures around here. They also seem to be stronger than normal."
    t "Demonic? That's an insult! They might call them demons but they're not demons like me. They're not things that belong in this world."
    p "Uh, really, Theron?"
    r "No, seriously. They're {i}much{/i} stronger than normal. I think we should be carfeul."
    t "Well, it seems like you two are nearly done so I think I'll leave now." 
    
    hide theron
    with dissolve
    show rochelle normal at center
    with move
    
    "{i}He leaves without even saying a word of good bye.{/i}" 
    r "%(name)s, I..."
    p "Yes, Rochelle?"
    r "I don't think I really like your new friend."
    p "I'm really sorry about him! I just met him today and he's not my friend. He just decided on his own to come with me!"
    r "Well, okay then..."
    
label makedesicion:

    scene bg dormnight
    show rochelle normal
    with dissolve
    
    "{i}After finishing, we return to our dorm room. I should probably go to sleep now. I'm tired after the things that happened.{/i}"
    p "Good night."
    r "Good night, %(name)s."
    
    hide rochelle
    with dissolve
    
    "{i}After all the things that have happened to me today, I guess I have no choice but to believe in this whole Aurora Spirit thing.{/i}"
    "{i}They're really trying to get me. I have to think of something quickly or I really will die. Even now, it's a bit difficult to accept.{/i}"
    slow ". . ."
    "{i}Unless... I do sacrifice myself for the greater good. What ever that may be. Isn't that what everybody wants?{/i}"
    "{i}Aren't a being selfish trying to prolong my life and avoiding what could be my destiny? Who knows how long it would be before they find another like me?{/i}"
    "{i}But, I really don't want to die. Just thinking about it... Can I really accept my death so easily?{/i}"
    
    jump credits
    
label credits:
    
    play music "intro.ogg" fadeout 2
    scene bg credits
    with longdissolve
    pause
    scene bg white
    with longdissolve
    pause

    return
    
    
# The entry point to the gallery code.
label gallery:
    python hide:

        # Construct a new gallery object.
        g = Gallery()

        # The image used for locked buttons.
        g.locked_button = "lockimg.png"

        # The background of a locked image.
        g.locked_background = "menu.png"

        # Frames added over unlocked buttons, in hover and idle states.
        g.hover_border = "highframe.png"
        g.idle_border = "blankframe.png"

        # An images used as the background of the various gallery pages.
        g.background = "menu.png"

        # Lay out the gallery images on the screen.
        # These settings lay images out 3 across and 4 down.
        # The upper left corner of the gird is at xpos 10, ypos 20.
        # They expect button images to be 155x112 in size.
        g.grid_layout((3, 4), (20, 20), (180, 132))

        # Show the background page.
        g.page("Characters")

        # Our first button is a picture of the beach.
        g.button("thumb_beach.jpg")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("bg beach daytime")
        g.unlock_image("bg beach nighttime")
        #
        # This shows a displayable...
        g.display("beach_sketch.jpg")
        # ... if all prior images have been show.
        g.allprior()

        # A second set of images.
        g.button("thumb_lighthouse.jpg")
        g.unlock_image("bg lighthouse day")
        g.unlock_image("bg lighthouse night")
        g.display("lighthouse_sketch.jpg")
        g.allprior()



        # We can use g.page to introduce a second page.
        g.page("Miscellaneous")

        g.button("intro-1thumb.png")
        #
        # Note that we can give image and unlock image more than one image
        # at a time.
        g.unlock("bg intro1")
        g.display("intro-1.jpg")
        
        
        g.button("intro-2thumb.png")
        g.unlock("bg intro2")
        g.display("intro-2.jpg")
        
        
        g.button("intro-3thumb.png")
        g.unlock("intro 3pic")
        g.display(At ("intro-3.jpg", Pan((0, 0), (700,0), 12.0)))
        
        
        g.button("intro-4thumb.png")
        g.unlock("bg intro4")
        g.display("intro-4.jpg")
        
        
        g.button("intro-5thumb.png")
        g.unlock("bg intro5")
        g.display("intro-5.jpg")
        
        
        g.button("intro-6thumb.png")
        g.unlock("bg intro6")
        g.display("intro-6.jpg")
        
        
        g.button("intro-7thumb.png")
        g.unlock("bg intro7")
        g.display("intro-7.jpg")
        
        
        g.button("intro-8thumb.png")
        g.unlock("bg intro8")
        g.display ("intro-8.jpg")



        g.page("Misc. Cont.")
        
        g.button("thumb_blah.png")
        g.unlock("bg blah")
        
        
        
        # Another page, this one for concept art.
        g.page("Endings")

        g.button("thumb_concepts.jpg")
        #
        # We can apply conditions to buttons as well as to images.
        # The "condition" condition checks an arbitrary expression.
        g.condition("persistent.beat_game")
        #
        g.display("concept1.jpg")
        g.display("concept2.jpg")
        g.display("concept3.jpg")
        
        
        
        g.page("Bonus")
        
        g.button("thumb_bonus.jpg")
        g.condition("persistent.beat_game")
        g.display("bonus1.jpg")


        # Now, show the gallery.
        g.show()

    return
